# Uses of Interface
java.awt.event.AWTEventListener

Packages that use AWTEventListener
Package
Description
com.sun.java.accessibility.util
Provides a collection of interfaces and classes that compose the Java Accessibility Utilities.
java.awt
Contains all of the classes for creating user interfaces and for painting graphics and images.
java.awt.event
Provides interfaces and classes for dealing with different types of events fired by AWT components.

- ## Uses of AWTEventListener in com.sun.java.accessibility.util

  Classes in com.sun.java.accessibility.util that implement AWTEventListener
  Modifier and Type
  Class
  Description
  `class`
  `EventQueueMonitor`
  The `EventQueueMonitor` class provides key core functionality for Assistive Technologies (and other system-level technologies that need some of the same things that Assistive Technology needs).

- ## Uses of AWTEventListener in java.awt

  Methods in java.awt that return AWTEventListener
  Modifier and Type
  Method
  Description
  `AWTEventListener[]`
  Toolkit.`getAWTEventListeners()`
  Returns an array of all the `AWTEventListener`s registered on this toolkit.
  `AWTEventListener[]`
  Toolkit.`getAWTEventListeners(long eventMask)`
  Returns an array of all the `AWTEventListener`s registered on this toolkit which listen to all of the event types specified in the `eventMask` argument.
  Methods in java.awt with parameters of type AWTEventListener
  Modifier and Type
  Method
  Description
  `void`
  Toolkit.`addAWTEventListener(AWTEventListener listener, long eventMask)`
  Adds an AWTEventListener to receive all AWTEvents dispatched system-wide that conform to the given `eventMask`.
  `void`
  Toolkit.`removeAWTEventListener(AWTEventListener listener)`
  Removes an AWTEventListener from receiving dispatched AWTEvents.

- ## Uses of AWTEventListener in java.awt.event

  Classes in java.awt.event that implement AWTEventListener
  Modifier and Type
  Class
  Description
  `class`
  `AWTEventListenerProxy`
  A class which extends the `EventListenerProxy` specifically for adding an `AWTEventListener` for a specific event mask.
  Subclasses with type arguments of type AWTEventListener in java.awt.event
  Modifier and Type
  Class
  Description
  `class`
  `AWTEventListenerProxy`
  A class which extends the `EventListenerProxy` specifically for adding an `AWTEventListener` for a specific event mask.
  Constructors in java.awt.event with parameters of type AWTEventListener
  Modifier
  Constructor
  Description
  ``
  `AWTEventListenerProxy(long eventMask, AWTEventListener listener)`
  Constructor which binds the `AWTEventListener` to a specific event mask.